Retrieve hotelpage

#affiliate

https://api-sandbox.worldota.net/api/b2b/v3/search/hp/
https://api.worldota.net/api/b2b/v3/search/hp/
ℹ️
  • This call is required for the Recommended Flow (Prebook from Hotelpage).
  • Request this call only when the user has chosen the hotel.
  • Don’t request this call for each of the hotels found from the calls made by the SERP mechanism.

The call gets the hotel available rates. Show this information to the user when they have chosen the hotel and want to see the rates.

ℹ️

The limitations:

  • The recommended rate lifetime is 30 minutes.
  • The actual rate lifetime is longer and depends on different internal factors.

Sandbox limitations

⚠️
Use only field values, IDs, API keys, and any static content from the sandbox environment within the sandbox. Do not use sandbox data in test or production environments, and do not mix data or configuration between different environments.
  • The value of the language field is always set to en.
  • The value of the currency field is always set to USD.
  • The maximum number of items in hotels.rates is 5.
  • The following fields are not supported:
    • hotels.rates.payment_options.payment_types.cancellation_penalties.policies.commission_info.charge.amount_gross.
    • hotels.rates.payment_options.payment_types.cancellation_penalties.policies.commission_info.charge.amount_commission.

Request example

curl --user '<KEY_ID>:<API_KEY>' 'https://api-sandbox.worldota.net/api/b2b/v3/search/hp/' \
--header 'Content-Type: application/json' \
--data '{
  "checkin": "2026-11-25",
  "checkout": "2026-11-26",
  "residency": "us",
  "language": "en",
  "guests": [
      {
          "adults": 2,
          "children": []
      }
  ],
  "timeout": 8,
  "hid": 10004834,
  "currency": "EUR"
}'
curl --user '<KEY_ID>:<API_KEY>' 'https://api.worldota.net/api/b2b/v3/search/hp/' \
--header 'Content-Type: application/json' \
--data '{
  "checkin": "2026-11-25",
  "checkout": "2026-11-26",
  "residency": "us",
  "language": "en",
  "guests": [
      {
          "adults": 2,
          "children": []
      }
  ],
  "timeout": 8,
  "hid": 10004834,
  "currency": "EUR"
}'

Request body

Response

Response example

{
  "data": {
    "hotels": [
      {
        "id": "conrad_los_angeles",
        "hid": 10004834,
        "rates": [
          {
            "book_hash": "h-5e5b5107-7745-5926-8c28-303baddd7327",
            "match_hash": "m-f8714572-883f-543c-8283-7512e76295a4",
            "daily_prices": ["381.00"],
            "meal": "nomeal",
            "meal_data": {
              "value": "nomeal",
              "has_breakfast": false,
              "no_child_meal": true
            },
            "payment_options": {
              "payment_types": [
                {
                  "amount": "443.78",
                  "show_amount": "381.00",
                  "currency_code": "USD",
                  "show_currency_code": "EUR",
                  "by": null,
                  "is_need_credit_card_data": true,
                  "is_need_cvc": true,
                  "type": "hotel",
                  "tax_data": {
                    "taxes": [
                      {
                        "name": "occupancy_tax",
                        "included_by_supplier": true,
                        "amount": "52.55",
                        "currency_code": "EUR"
                      },
                      {
                        "name": "resort_fee",
                        "included_by_supplier": false,
                        "amount": "45.00",
                        "currency_code": "USD"
                      }
                    ]
                  },
                  "cancellation_penalties": {
                    "policies": [
                      {
                        "start_at": null,
                        "end_at": null,
                        "amount_charge": "443.78",
                        "amount_show": "381.00"
                      }
                    ],
                    "free_cancellation_before": null
                  }
                }
              ]
            },
            "rg_ext": {
              "class": 3,
              "quality": 6,
              "sex": 0,
              "bathroom": 2,
              "bedding": 3,
              "family": 0,
              "capacity": 2,
              "club": 0,
              "bedrooms": 0,
              "balcony": 0,
              "view": 0,
              "floor": 0
            },
            "room_name": "Deluxe Double room (full double bed) (king size bed, handicap accessible)",
            "room_name_info": null,
            "serp_filters": ["has_bathroom"],
            "allotment": 3,
            "amenities_data": [
              "king-bed",
              "non-smoking",
              "accessible"
            ],
            "any_residency": false,
            "deposit": null,
            "no_show": {
              "amount": "443.00",
              "currency_code": "USD",
              "from_time": "12:00:00"
            },
            "room_data_trans": {
              "main_room_type": "Deluxe Double room",
              "main_name": "Deluxe Double room",
              "bathroom": null,
              "bedding_type": "full double bed",
              "misc_room_type": "king size bed, handicap accessible"
            },
            "legal_info": {
              "provider": {
                "name": "",
                "address": "",
                "taxpayer_number": "0000000000",
                "state_registration_number": "0000000000000"
              },
              "hotel": {
                "name": "Conrad Los Angeles",
                "address": "100 South Grand Avenue, Лос-Анджелес",
                "taxpayer_number": "0000000000",
                "state_registration_number": "0000000000000",
                "work_time": "from 9-18 local time"
              }
            },
            "is_package": false
          },
          {
            "book_hash": "h-98278d26-79ce-5896-9597-4af4752a993e",
            "match_hash": "m-d0b6b10c-54e0-50ad-8158-4daf1f915971",
            "daily_prices": ["381.00"],
            "meal": "nomeal",
            "meal_data": {
              "value": "nomeal",
              "has_breakfast": false,
              "no_child_meal": true
            },
            "payment_options": {
              "payment_types": [
                {
                  "amount": "443.78",
                  "show_amount": "381.00",
                  "currency_code": "USD",
                  "show_currency_code": "EUR",
                  "by": null,
                  "is_need_credit_card_data": true,
                  "is_need_cvc": true,
                  "type": "hotel",
                  "tax_data": {
                    "taxes": [
                      {
                        "name": "occupancy_tax",
                        "included_by_supplier": true,
                        "amount": "52.55",
                        "currency_code": "EUR"
                      },
                      {
                        "name": "resort_fee",
                        "included_by_supplier": false,
                        "amount": "45.00",
                        "currency_code": "USD"
                      }
                    ]
                  },
                  "cancellation_penalties": {
                    "policies": [
                      {
                        "start_at": null,
                        "end_at": null,
                        "amount_charge": "443.78",
                        "amount_show": "381.00"
                      }
                    ],
                    "free_cancellation_before": null
                  }
                }
              ]
            },
            "rg_ext": {
              "class": 3,
              "quality": 6,
              "sex": 0,
              "bathroom": 2,
              "bedding": 3,
              "family": 0,
              "capacity": 2,
              "club": 0,
              "bedrooms": 0,
              "balcony": 0,
              "view": 0,
              "floor": 0
            },
            "room_name": "Deluxe Double room (full double bed) (king size bed)",
            "room_name_info": null,
            "serp_filters": ["has_bathroom"],
            "allotment": 9,
            "amenities_data": [
              "non-smoking",
              "king-bed"
            ],
            "any_residency": false,
            "deposit": null,
            "no_show": {
              "amount": "443.00",
              "currency_code": "USD",
              "from_time": "12:00:00"
            },
            "room_data_trans": {
              "main_room_type": "Deluxe Double room",
              "main_name": "Deluxe Double room",
              "bathroom": null,
              "bedding_type": "full double bed",
              "misc_room_type": "king size bed"
            },
            "legal_info": {
              "provider": {
                "name": "",
                "address": "",
                "taxpayer_number": "0000000000",
                "state_registration_number": "0000000000000"
              },
              "hotel": {
                "name": "Conrad Los Angeles",
                "address": "100 South Grand Avenue, Лос-Анджелес",
                "taxpayer_number": "0000000000",
                "state_registration_number": "0000000000000",
                "work_time": "from 9-18 local time"
              }
            },
            "is_package": false
          },
          {
            "book_hash": "h-4969c87f-35d8-507c-b0c1-6003f3977606",
            "match_hash": "m-eac58a7b-b22e-5ade-9f6a-ebdf7ba3474c",
            "daily_prices": ["394.00"],
            "meal": "nomeal",
            "meal_data": {
              "value": "nomeal",
              "has_breakfast": false,
              "no_child_meal": true
            },
            "payment_options": {
              "payment_types": [
                {
                  "amount": "458.61",
                  "show_amount": "394.00",
                  "currency_code": "USD",
                  "show_currency_code": "EUR",
                  "by": null,
                  "is_need_credit_card_data": true,
                  "is_need_cvc": true,
                  "type": "hotel",
                  "tax_data": {
                    "taxes": [
                      {
                        "name": "occupancy_tax",
                        "included_by_supplier": true,
                        "amount": "54.34",
                        "currency_code": "EUR"
                      },
                      {
                        "name": "resort_fee",
                        "included_by_supplier": false,
                        "amount": "45.00",
                        "currency_code": "USD"
                      }
                    ]
                  },
                  "cancellation_penalties": {
                    "policies": [
                      {
                        "start_at": null,
                        "end_at": null,
                        "amount_charge": "458.61",
                        "amount_show": "394.00"
                      }
                    ],
                    "free_cancellation_before": null
                  }
                }
              ]
            },
            "rg_ext": {
              "class": 3,
              "quality": 6,
              "sex": 0,
              "bathroom": 2,
              "bedding": 0,
              "family": 0,
              "capacity": 0,
              "club": 0,
              "bedrooms": 0,
              "balcony": 0,
              "view": 0,
              "floor": 0
            },
            "room_name": "Deluxe room",
            "room_name_info": null,
            "serp_filters": ["has_bathroom"],
            "allotment": 9,
            "amenities_data": [
              "non-smoking"
            ],
            "any_residency": false,
            "deposit": null,
            "no_show": {
              "amount": "458.00",
              "currency_code": "USD",
              "from_time": "12:00:00"
            },
            "room_data_trans": {
              "main_room_type": "Deluxe room",
              "main_name": "Deluxe room",
              "bathroom": null,
              "bedding_type": null,
              "misc_room_type": null
            },
            "legal_info": {
              "provider": {
                "name": "",
                "address": "",
                "taxpayer_number": "0000000000",
                "state_registration_number": "0000000000000"
              },
              "hotel": {
                "name": "Conrad Los Angeles",
                "address": "100 South Grand Avenue, Лос-Анджелес",
                "taxpayer_number": "0000000000",
                "state_registration_number": "0000000000000",
                "work_time": "from 9-18 local time"
              }
            },
            "is_package": false
          }
        ]
      }
    ]
  },
  "debug": {
    "api_endpoint": {
      "endpoint": "api/b2b/v3/search/hp",
      "is_active": true,
      "is_limited": true,
      "remaining": 8,
      "requests_number": 10,
      "reset": "2026-01-19T11:03:00",
      "seconds_number": 60
    },
    "request": {
      "checkin": "2026-11-25",
      "checkout": "2026-11-26",
      "residency": "us",
      "language": "en",
      "guests": [
        {
          "adults": 2,
          "children": []
        }
      ],
      "timeout": 8,
      "hid": 10004834,
      "currency": "EUR"
    },
    "method": "POST",
    "real_ip": "104.30.161.77",
    "request_id": "934468fb4825c04c514a1cd7949d6ba7",
    "key_id": 1234,
    "api_key_id": 1234,
    "utcnow": "2026-01-19T11:02:47.153661"
  },
  "status": "ok",
  "error": null
}

Errors

The error field has the value specified in the headers below.

invalid_params

The request body is invalid.

core_search_error

An internal search error. Has 500 status code.